import { ActivatedRoute, Router } from '@angular/router';
import { Component, OnInit } from "@angular/core";
import { ToolService } from 'src/app/services/tool.service';
import { TabService } from '../services/tab.service';
@Component({
  selector: "app-maintenance-statistics",
  templateUrl: "./maintenance-statistics.component.html",
  styleUrls: ["./maintenance-statistics.component.less"],
})
export class MaintenanceStatisticsComponent implements OnInit {
  constructor(
    public tool: ToolService,
    public route: ActivatedRoute,
    public router: Router,
    public tabService: TabService,
  ) {}

  menuList: any[] = [];
  secondMenuList:any[] = [];

  ngOnInit() {
    this.getMenuList();
    console.log('this.menuList:', this.menuList)
  }

  initSecondMenu(){
    this.secondMenuList = this.menuList.find(v => v.link == this.route.parent.routeConfig.path).childrens || [];
    console.log(this.tabService.tabs)
    let activeTab = this.tabService.tabs.find(v => v.active);
    if(this.secondMenuList.length){
      if(activeTab.path === `/newStatistics/${this.route.parent.snapshot.routeConfig.path}/${this.secondMenuList[0].link}`){
        this.clickSecondMenu(this.secondMenuList[0]);
      }else{
        this.activeSecondMenuLink = activeTab.path.split('/').reverse()[0];
      }
    }
  }

  getMenuList(){
    this.menuList = this.tool.getMenuAutoType();
    this.initSecondMenu();
  }

  // 点击二级菜单
  activeSecondMenuLink:string;
  clickSecondMenu(data){
    this.activeSecondMenuLink = data.link;
    this.router.navigate([`/newStatistics/${this.route.parent.snapshot.routeConfig.path}/${this.activeSecondMenuLink}`], { replaceUrl: true });
  }

  // 回显二级菜单
  selectTabEmit(link){
    this.activeSecondMenuLink = link;
  }
}
